package com.ruoyi.system.mapper;

import java.util.List;

import com.ruoyi.system.domain.ProposalInfo;
import com.ruoyi.system.domain.ZxFj;

/**
 * 政协_附件Mapper接口
 * 
 * @author boman
 * @date 2024-03-07
 */
public interface ZxFjMapper 
{
    /**
     * 查询政协_附件
     * 
     * @param id 政协_附件主键
     * @return 政协_附件
     */
    public ZxFj selectZxFjById(Long id);

    /**
     * 查询政协_附件列表
     * 
     * @param zxFj 政协_附件
     * @return 政协_附件集合
     */
    public List<ZxFj> selectZxFjList(ZxFj zxFj);

    /**
     * 新增政协_附件
     * 
     * @param zxFj 政协_附件
     * @return 结果
     */
    public int insertZxFj(ZxFj zxFj);

    /**
     * 修改政协_附件
     * 
     * @param zxFj 政协_附件
     * @return 结果
     */
    public int updateZxFj(ZxFj zxFj);

    /**
     * 删除政协_附件
     * 
     * @param id 政协_附件主键
     * @return 结果
     */
    public int deleteZxFjById(Long id);

    /**
     * 批量删除政协_附件
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteZxFjByIds(Long[] ids);

    void deleteZxFjBySourceId(Long sourceId);

    /**
     * 批量插入
     * @param zxFjList
     * @return
     */
    int batchZxFj(List<ZxFj> zxFjList);
}
